VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsSetting"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
'*******************************************************************************
'In order to create a new report, there must be a reference to :
'"Microsoft ActiveX Data Objects 2.7 Library" from Project->References

Public Function LoadReport(rcnnDatabase As ADODB.Connection, _
    robjLanguage As String, rstrMainPath As String, rdateStartDate As Date, _
    rdateEndDate As Date, rstrLogoPath As String, rstrFooter As String, _
    rstrDesktopPath As String, rintHeight As Integer, strLocalDateFormat As String, _
    iHitsType As Integer, bShowSubTotalOnly As Boolean, strSitesSelection As String)
    
    'Set all the property for the report
    Set gcnnDatabase = rcnnDatabase
    gstrMainPath = rstrMainPath
    
    Set gobjLanguage = CreateObject(robjLanguage)
    gdateStartDate = rdateStartDate
    gdateEndDate = rdateEndDate
    
    gstrLogoPath = rstrLogoPath
    gstrFooter = rstrFooter
    gstrDesktopPath = rstrDesktopPath
    
    frmReport.Width = Screen.Width
    frmReport.Height = rintHeight
    
    gstrLocalDateFormat = strLocalDateFormat
    BuildSitesSelectionQuery (strSitesSelection)
    gbShowSubTotalOnly = bShowSubTotalOnly
    'Show the report
    frmReport.Show vbModal
    
End Function

Public Function GeneratePDFReport(ByVal rcnnDatabase As ADODB.Connection, _
    ByVal robjLanguage As Object, ByVal rdateStartDate As Date, _
    ByVal rdateEndDate As Date, ByVal rstrLogoPath As String, ByVal rstrFooter As String, _
    ByVal rstrReportResultLocation As String, ByVal strLocalDateFormat As String, _
    ByVal iHitsType As Integer, ByVal bShowSubTotalOnly As Boolean, ByVal strSitesSelection As String)

    
    'Set all the property for the report
    Set gcnnDatabase = rcnnDatabase
    
    Set gobjLanguage = robjLanguage
    gdateStartDate = rdateStartDate
    gdateEndDate = rdateEndDate
    
    gstrLogoPath = rstrLogoPath
    gstrFooter = rstrFooter
    gstrLocalDateFormat = strLocalDateFormat
    gstrSitesSelection = strSitesSelection
    
    Dim rpt As New rptMainReport
    rpt.SetShowCaseRestricted gbShowCaseRestricted
    rpt.SetDBVersion gdblDBVersion
    rpt.SetShowSubTotalOnly bShowSubTotalOnly
    BuildSitesSelectionQuery (strSitesSelection)
    rpt.SetSitesSelection (gstrSitesSelection)
    Dim arPDF As ActiveReportsPDFExport.ARExportPDF
    Set arPDF = New ActiveReportsPDFExport.ARExportPDF
    
    arPDF.AcrobatVersion = DDACR40
    arPDF.FileName = rstrReportResultLocation
    arPDF.JPGQuality = 100
    arPDF.OutputTOCAsBookmarks = True
    arPDF.SemiDelimitedNeverEmbedFonts = ""
    arPDF.ShowBookmarksInAcrobat = True
    
    rpt.Run
    
    arPDF.Export rpt.Pages
    Set arPDF = Nothing
    Set rpt = Nothing
End Function
Public Function SetDBVersion(dblDBVersion As Double)
    gdblDBVersion = dblDBVersion
End Function
Public Function ShowCaseRestricted(bShow As Boolean)
    gbShowCaseRestricted = bShow
End Function
Public Sub SetShowSubTotalOnly(bShowSubTotalOnly As Boolean)
    gbShowSubTotalOnly = bShowSubTotalOnly
End Sub
Public Sub BuildSitesSelectionQuery(strSitesSelection As String)
   Dim searchString As String
   Dim replacingString As String
   searchString = ","
   replacingString = "','"
   
   gstrSitesSelection = ""
   
   'if not empty
   If (strSitesSelection <> "") Then
      strSitesSelection = Replace(strSitesSelection, searchString, replacingString)
      gstrSitesSelection = " CHILD_SITES_VW.SHR_NAM IN ('" 'open where clause
      gstrSitesSelection = gstrSitesSelection & strSitesSelection & "') " 'Close where clause
   Else
      gstrSitesSelection = ""
   End If
End Sub
